package com.dxhy.erp.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

/**
 * @ClassName: InvoiceImgSavePo : 插入图片传输参数po
 * @author yuanlz
 * @date 2016年12月1日 上午11:29:23
 *
 */
@TableName("t_dx_invoice_img")
public class InvoiceImgSavePo extends BasePojo {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;
    /** blob 图片数据 */
    private byte[] image;
    /** 唯一索引 */
    private String uuid;

    private int valid;

    private Date createDate;

    private Date updateDate;
    /** 图片路径 */
    private String imagePath;
    /** 扫描图片唯一识别码 */
    private String scanId;

    private String mycatOpTime;

    public String getScanId() {
        return scanId;
    }

    public void setScanId(String scanId) {
        this.scanId = scanId;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public byte[] getImage() {
        return image;
    }

    public void setImage(byte[] image) {
        this.image = image;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public int getValid() {
        return valid;
    }

    public void setValid(int valid) {
        this.valid = valid;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getMycatOpTime() {
        return mycatOpTime;
    }

    public void setMycatOpTime(String mycatOpTime) {
        this.mycatOpTime = mycatOpTime;
    }

}
